- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ThreadLocal Class Reference

List of all members.

## Detailed Description

This class provides thread-local variables.

This class is similar in function to java.lang.ThreadLocal.

## Public Member Functions
| ThreadLocal ()
| Create new instance.
| ~ThreadLocal ()
| Destructor.
void | set (void *priv)
| Sets the value in the current thread's copy of this thread-local variable.
void * | get ()
| Returns the value in the current thread's copy of this thread-local variable.

## Constructor & Destructor Documentation

ThreadLocal | ( |  | ) |

| Create new instance.

~ThreadLocal | ( |  | ) |

| Destructor.

## Member Function Documentation

void* get | ( |  | ) |

| Returns the value in the current thread's copy of this thread-local variable. Returns: value of thread-local variable for the current thread.

void set | ( | void * | priv | ) |

  | Sets the value in the current thread's copy of this thread-local variable. Parameters:
  | priv | new value.

The documentation for this class was generated from the following file:

- threadlocal.h